# Class: MaiaString

## MaiaString()

#### new MaiaString()

MaiaScript string library.

Source:
  - String.js, line 54

### Methods

#### camelize(str, firstCharToUpperCase) → {string}

Convert an string into camel case object name format.

##### Parameters:

Name | Type | Description
--- | --- | ---
`str` | string | String to convert.
`firstCharToUpperCase` | string | Converts the first character to uppercase.

Source:
  - String.js, line 89

##### Returns:

The string converted to camel case.

Type
  string

#### sprintf(fmt, arguments) → {string}

Formats a string based on format specifiers passed to the function.

##### Parameters:

Name | Type | Description
--- | --- | ---
`fmt` | string | A string containing format specifiers.
`arguments` | object | Objects to be formatted.

Source:
  - String.js, line 106

##### Returns:

A formatted string based on format specifiers passed to the function.

Type
  string

#### sprintFormat(parseTree, argv) → {string}

Formats a string based on an abstract synthetic tree produced by the format specifier compiler.

##### Parameters:

Name | Type | Description
--- | --- | ---
`parseTree` | object | Abstract synthetic tree produced by the format specifier compiler.
`argv` | array | Array containing objects to be formatted.

Source:
  - String.js, line 130

##### Returns:

A formatted string based on format specifiers passed to the function.

Type
  string

#### sprintfParse(fmt) → {object}

Compiles a string based on the syntactic rules of the C sprintf function.

##### Parameters:

Name | Type | Description
--- | --- | ---
`fmt` | string | A string containing format specifiers.

Source:
  - String.js, line 237

##### Returns:

Abstract synthetic tree produced for the format specifier.

Type
  object

#### vsprintf(fmt, argv) → {string}

Formats a string based on format specifiers passed to the function.

##### Parameters:

Name | Type | Description
--- | --- | ---
`fmt` | string | A string containing format specifiers.
`argv` | array | Array containing objects to be formatted.

Source:
  - String.js, line 120

##### Returns:

A formatted string based on format specifiers passed to the function.

Type
  string

#### (inner) init()

Creates the attributes of the class.

Source:
  - String.js, line 79